Teams
Join a team
POST
/api/teams/joinAdds the current user to a team as a member using the team's access code.
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Request body
| Name | Type | Description |
|---|---|---|
| accessCoderequired | string | Code used to join the team. |
Example request
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| createdAtrequired | string | Date and time the record was created. |
| idrequired | string | Unique identifier of the resource. |
| rolerequired | string | Permission role assigned to the user. |
| teamIdrequired | string | ID of the associated team. |
| updatedAtrequired | string | Date and time the record was last updated. |
| userIdrequired | string | ID of the associated user. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
404Not found.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
404 example
Code samples
cURL